<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>15.0</VCProjectVersion>
    <ProjectGuid>{80759C2E-95A3-41F3-9AF8-170877FA783B}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>mxdioctl</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <WholeProgramOptimization>false</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <WholeProgramOptimization>false</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>..\$(Configuration)\$(PlatformTarget)\$(ProjectName)\</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>..\$(Configuration)\$(PlatformTarget)\$(ProjectName)\</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>..\$(Configuration)\$(PlatformTarget)\$(ProjectName)\</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>..\$(Configuration)\$(PlatformTarget)\$(ProjectName)\</OutDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>
      </SDLCheck>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(SolutionDir)CPlusPlus\inc\mxdgio;$(SolutionDir)CPlusPlus\inc\getopt;$(SolutionDir)Utility\CPlusPlus\inc\mxdgio;$(SolutionDir)Utility\CPlusPlus\inc\getopt</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)CPlusPlus\lib\getopt\$(PlatformTarget);$(SolutionDir)Utility\CPlusPlus\lib\getopt\$(PlatformTarget);$(SolutionDir)CPlusPlus\lib\mxdgio\$(PlatformTarget);$(SolutionDir)Utility\CPlusPlus\lib\mxdgio\$(PlatformTarget)</AdditionalLibraryDirectories>
      <AdditionalDependencies>mxdgio.lib;getopt.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <UACExecutionLevel>RequireAdministrator</UACExecutionLevel>
    </Link>
    <PostBuildEvent>
      <Command>
      </Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>md $(TargetDir)MxdgioProfile\
xcopy /y $(ProjectDir)..\lib\mxdgio\$(PlatformTarget) $(ProjectDir)..\$(Configuration)\$(PlatformTarget)\mx-dio-ctl\
xcopy /y $(ProjectDir)..\lib\mxdgio\$(PlatformTarget)\MxdgioProfile $(ProjectDir)..\$(Configuration)\$(PlatformTarget)\mx-dio-ctl\MxdgioProfile\</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>
      </SDLCheck>
      <PreprocessorDefinitions>_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(SolutionDir)CPlusPlus\inc\mxdgio;$(SolutionDir)CPlusPlus\inc\getopt;$(SolutionDir)Utility\CPlusPlus\inc\mxdgio;$(SolutionDir)Utility\CPlusPlus\inc\getopt</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)CPlusPlus\lib\getopt\$(PlatformTarget);$(SolutionDir)Utility\CPlusPlus\lib\getopt\$(PlatformTarget);$(SolutionDir)CPlusPlus\lib\mxdgio\$(PlatformTarget);$(SolutionDir)Utility\CPlusPlus\lib\mxdgio\$(PlatformTarget)</AdditionalLibraryDirectories>
      <AdditionalDependencies>mxdgio.lib;getopt.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <UACExecutionLevel>RequireAdministrator</UACExecutionLevel>
    </Link>
    <PostBuildEvent>
      <Command>
      </Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>md $(TargetDir)MxdgioProfile\
xcopy /y $(ProjectDir)..\lib\mxdgio\$(PlatformTarget) $(ProjectDir)..\$(Configuration)\$(PlatformTarget)\mx-dio-ctl\
xcopy /y $(ProjectDir)..\lib\mxdgio\$(PlatformTarget)\MxdgioProfile $(ProjectDir)..\$(Configuration)\$(PlatformTarget)\mx-dio-ctl\MxdgioProfile\</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>
      </SDLCheck>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(SolutionDir)CPlusPlus\inc\mxdgio;$(SolutionDir)CPlusPlus\inc\getopt;$(SolutionDir)Utility\CPlusPlus\inc\mxdgio;$(SolutionDir)Utility\CPlusPlus\inc\getopt</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)CPlusPlus\lib\getopt\$(PlatformTarget);$(SolutionDir)Utility\CPlusPlus\lib\getopt\$(PlatformTarget);$(SolutionDir)CPlusPlus\lib\mxdgio\$(PlatformTarget);$(SolutionDir)Utility\CPlusPlus\lib\mxdgio\$(PlatformTarget)</AdditionalLibraryDirectories>
      <AdditionalDependencies>mxdgio.lib;getopt.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <UACExecutionLevel>RequireAdministrator</UACExecutionLevel>
    </Link>
    <PostBuildEvent>
      <Command>
      </Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>md $(TargetDir)MxdgioProfile\
xcopy /y $(ProjectDir)..\lib\mxdgio\$(PlatformTarget) $(ProjectDir)..\$(Configuration)\$(PlatformTarget)\mx-dio-ctl\
xcopy /y $(ProjectDir)..\lib\mxdgio\$(PlatformTarget)\MxdgioProfile $(ProjectDir)..\$(Configuration)\$(PlatformTarget)\mx-dio-ctl\MxdgioProfile\</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>
      </SDLCheck>
      <PreprocessorDefinitions>NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(SolutionDir)CPlusPlus\inc\mxdgio;$(SolutionDir)CPlusPlus\inc\getopt;$(SolutionDir)Utility\CPlusPlus\inc\mxdgio;$(SolutionDir)Utility\CPlusPlus\inc\getopt</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)CPlusPlus\lib\getopt\$(PlatformTarget);$(SolutionDir)Utility\CPlusPlus\lib\getopt\$(PlatformTarget);$(SolutionDir)CPlusPlus\lib\mxdgio\$(PlatformTarget);$(SolutionDir)Utility\CPlusPlus\lib\mxdgio\$(PlatformTarget)</AdditionalLibraryDirectories>
      <AdditionalDependencies>mxdgio.lib;getopt.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <UACExecutionLevel>RequireAdministrator</UACExecutionLevel>
    </Link>
    <PostBuildEvent>
      <Command>
      </Command>
    </PostBuildEvent>
    <PreBuildEvent>
      <Command>md $(TargetDir)MxdgioProfile\
xcopy /y $(ProjectDir)..\lib\mxdgio\$(PlatformTarget) $(ProjectDir)..\$(Configuration)\$(PlatformTarget)\mx-dio-ctl\
xcopy /y $(ProjectDir)..\lib\mxdgio\$(PlatformTarget)\MxdgioProfile $(ProjectDir)..\$(Configuration)\$(PlatformTarget)\mx-dio-ctl\MxdgioProfile\</Command>
    </PreBuildEvent>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="mx-dio-ctl.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="resource.h" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="Resource.rc" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>